   1               		.file	"roboctrl.c"
   2               		.arch atmega8
   3               	__SREG__ = 0x3f
   4               	__SP_H__ = 0x3e
   5               	__SP_L__ = 0x3d
   6               	__tmp_reg__ = 0
   7               	__zero_reg__ = 1
   8               		.global __do_copy_data
   9               		.global __do_clear_bss
  12               		.text
  13               	.Ltext0:
  49               	.global	main
  51               	main:
   1:roboctrl.c    **** //---------------------------------------------------------------------------------------------
   2:roboctrl.c    **** //
   3:roboctrl.c    **** //  RoboCtrl.c - Dual Stepper Controller with RS232 Interface.
   4:roboctrl.c    **** //
   5:roboctrl.c    **** //---------------------------------------------------------------------------------------------
   6:roboctrl.c    **** 
   7:roboctrl.c    **** #include <inttypes.h>
   8:roboctrl.c    **** #include <avr/io.h>
   9:roboctrl.c    **** #include <avr/interrupt.h>
  10:roboctrl.c    **** #include <avr/signal.h>
  11:roboctrl.c    **** #include "roboctrl.h"
  12:roboctrl.c    **** 
  13:roboctrl.c    **** //---------------------------------------------------------------------------------------------
  14:roboctrl.c    **** 
  15:roboctrl.c    **** int main (void) {
  53               	.LM1:
  54               	/* prologue: frame size=0 */
  55 0000 C0E0      		ldi r28,lo8(__stack - 0)
  56 0002 D0E0      		ldi r29,hi8(__stack - 0)
  57 0004 DEBF      		out __SP_H__,r29
  58 0006 CDBF      		out __SP_L__,r28
  59               	/* prologue end (size=4) */
  16:roboctrl.c    **** 	// set default baud rate
  17:roboctrl.c    **** 	UBRRH = 0;  // High byte of baud rate register
  61               	.LM2:
  62 0008 10BC      		out 64-0x20,__zero_reg__
  18:roboctrl.c    **** 	UBRRL = 16; // corresponds to ~115200 baud (Error +2,1%). (double speed mode on (!))
  64               	.LM3:
  65 000a 80E1      		ldi r24,lo8(16)
  66 000c 89B9      		out 41-0x20,r24
  19:roboctrl.c    **** //	UBRRL = 207;
  20:roboctrl.c    **** 	
  21:roboctrl.c    **** 	// enable RxD/TxD and interrupts, parity none, 1 stopbit, async mode, etc...
  22:roboctrl.c    **** 	UCSRA = 0b00000010; // double speed mode
  68               	.LM4:
  69 000e 82E0      		ldi r24,lo8(2)
  70 0010 8BB9      		out 43-0x20,r24
  23:roboctrl.c    **** 	UCSRB = 0b10011000; // interupts and flags
  72               	.LM5:
  73 0012 88E9      		ldi r24,lo8(-104)
  74 0014 8AB9      		out 42-0x20,r24
  24:roboctrl.c    **** 	UCSRC = 0b10000110; // frame format
  76               	.LM6:
  77 0016 86E8      		ldi r24,lo8(-122)
  78 0018 80BD      		out 64-0x20,r24
  25:roboctrl.c    **** 	
  26:roboctrl.c    **** 	sei ();
  80               	.LM7:
  81               	/* #APP */
  82 001a 7894      		sei
  83               	/* #NOAPP */
  84               	.L2:
  27:roboctrl.c    **** 	
  28:roboctrl.c    **** 	for (;;) {
  29:roboctrl.c    **** 		asm volatile ("nop"::);	
  86               	.LM8:
  87               	/* #APP */
  88 001c 0000      		nop
  90               	.LM9:
  91               	/* #NOAPP */
  92 001e FECF      		rjmp .L2
  93               	/* epilogue: frame size=0 */
  94               	/* epilogue: noreturn */
  95               	/* epilogue end (size=0) */
  96               	/* function main size 18 (14) */
  98               	.Lscope0:
 101               	.global	__vector_11
 103               	__vector_11:
  30:roboctrl.c    **** 	}
  31:roboctrl.c    **** }
  32:roboctrl.c    **** 
  33:roboctrl.c    **** SIGNAL (SIG_UART_RECV) {
 105               	.LM10:
 106               	/* prologue: frame size=0 */
 107 0020 1F92      		push __zero_reg__
 108 0022 0F92      		push __tmp_reg__
 109 0024 0FB6      		in __tmp_reg__,__SREG__
 110 0026 0F92      		push __tmp_reg__
 111 0028 1124      		clr __zero_reg__
 112 002a 8F93      		push r24
 113               	/* prologue end (size=6) */
  34:roboctrl.c    **** 	uint8_t b;
  35:roboctrl.c    **** 	b = UDR;
 115               	.LM11:
 116 002c 8CB1      		in r24,44-0x20
  36:roboctrl.c    **** 	sei ();
 118               	.LM12:
 119               	/* #APP */
 120 002e 7894      		sei
  37:roboctrl.c    **** 	UDR = b;
 122               	.LM13:
 123               	/* #NOAPP */
 124 0030 8CB9      		out 44-0x20,r24
 125               	/* epilogue: frame size=0 */
 126 0032 8F91      		pop r24
 127 0034 0F90      		pop __tmp_reg__
 128 0036 0FBE      		out __SREG__,__tmp_reg__
 129 0038 0F90      		pop __tmp_reg__
 130 003a 1F90      		pop __zero_reg__
 131 003c 1895      		reti
 132               	/* epilogue end (size=6) */
 133               	/* function __vector_11 size 16 (4) */
 136               	.Lscope1:
 138               		.text
 140               	Letext:
 141               	/* File "roboctrl.c": code   34 = 0x0022 (  18), prologues  10, epilogues   6 */
DEFINED SYMBOLS
                            *ABS*:00000000 roboctrl.c
                            *ABS*:0000003f __SREG__
                            *ABS*:0000003e __SP_H__
                            *ABS*:0000003d __SP_L__
                            *ABS*:00000000 __tmp_reg__
                            *ABS*:00000001 __zero_reg__
  C:\Temp/ccKYaaaa.s:51     .text:00000000 main
  C:\Temp/ccKYaaaa.s:103    .text:00000020 __vector_11
  C:\Temp/ccKYaaaa.s:140    .text:0000003e Letext

UNDEFINED SYMBOLS
__do_copy_data
__do_clear_bss
__stack
